#ifndef bQw_dictionary_hh
#define bQw_dictionary_hh

#include "bitbuf.hh"

typedef struct dictitem
{
	unsigned value, bitcount;
} dictitem;

extern const dictitem *bitsoftoken(const string &s);
extern unsigned matchbytes(const string &s);

extern BitBuf DictCompress(const string &s);
extern string DictDecompress(const BitBuf &s);

#endif
