#ifndef PikaSyntaxParser
#define PikaSyntaxParser

#include <string>
#include "bitbuf.hh"

using namespace std;

class Syntax
{
public:
    Syntax(const char *const s);
    ~Syntax();
public:
    string Encode(const BitBuf &s) const;
    BitBuf Decode(const string &s) const;
private:
    class Labels *Choices;
    void Load(const char *s);
};

#endif
